// -----------------------------------------------------------------------------
// This file contains all application-wide Sass mixins.
// -----------------------------------------------------------------------------

/// Event wrapper
/// @author Harry Roberts
/// @param {Bool} $self [false] - Whether or not to include current selector
/// @link https://twitter.com/csswizardry/status/478938530342006784 Original tweet from Harry Roberts
@mixin on-event($self: false) {
  @if $self {
    &,
    &:hover,
    &:active,
    &:focus {
      @content;
    }
  } @else {
    &:hover,
    &:active,
    &:focus {
      @content;
    }
  }
}

/// Make a context based selector a little more friendly
/// @author Kitty Giraudel
/// @param {String} $context
@mixin when-inside($context) {
  #{$context} & {
    @content;
  }
}


@mixin respond($breakpoint) {
  @if($breakpoint == phone)  {
    @media (max-width: 576px) { @content }
  }

  @if($breakpoint == tablet)  {
    @media (max-width: 768px) { @content }
  }

  @if($breakpoint == desktop)  {
    @media (max-width: 992px) { @content }
  }

  @if($breakpoint == big-desktop)  {
    @media (min-width: 1200px) { @content }
  }
}